#include <iostream>
#include <cstdlib>

using namespace std;

const int MaxN=100;

void beolvasas(int &db, int tomb[MaxN]);
int beolvas(string szoveg, int minErt, int maxErt);
bool megold(int N,const int tomb[]);
void kiiras(bool VAN);

int main()
{
    //deklaracio
    int N;
    int tomb[MaxN];
    bool VAN;
    //be
    beolvasas(N,tomb);
    //alg
    VAN=megold(N,tomb);
    //ki
    kiiras(VAN);
    return 0;
}

int beolvas(string szoveg, int minErt, int maxErt){
    int ret;
    bool hiba=false;
    do {
        string tmp;
        cout << szoveg;
        cin >> tmp;
        ret=atoi(tmp.c_str());
        hiba=(((ret==0) && (tmp.substr(0,1)!="0")) || (ret < minErt) || (ret > maxErt));
        if (hiba) {
            cout << "  HIBA! " << minErt << " es " << maxErt << " kozotti szam kell!" << endl;
        }
    } while (hiba);
    return ret;
}

void beolvasas(int &db, int tomb[MaxN]){
    db=beolvas("elemszam=? :",0,MaxN);
    for (int i=0;i<db;i++) {
        tomb[i]=beolvas("tomb[i]=? :",0,5000);
    }
}

bool megold(int N,const int tomb[]){
    int i=0;
    while ((i<N) && (tomb[i]<=2000)) {
        i++;
    }
    return (i<N);
}

void kiiras(bool VAN){
    if (VAN) {
        cout << "VAN" << endl;
    } else {
        cout << "NINCS" << endl;
    }
}

